org.jgrapht.alg.interfaces

## Interface WeightedMatchingAlgorithm<V,E>

- Type Parameters:
    `V` -
    `E` -
  All Superinterfaces:
    MatchingAlgorithm<V,E>
  All Known Implementing Classes:
    KuhnMunkresMinimalWeightBipartitePerfectMatching, MaximumWeightBipartiteMatching

      public interface WeightedMatchingAlgorithm<V,E>
      extends MatchingAlgorithm<V,E>

  Allows to derive weighted matching from general graph
  See Also:
    `MatchingAlgorithm`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getMatchingWeight()` Returns weight of a matching found

    - ### Methods inherited from interface org.jgrapht.alg.interfaces.MatchingAlgorithm

      `getMatching`

- - ### Method Detail

    - #### getMatchingWeight

          double getMatchingWeight()

      Returns weight of a matching found
      Returns:
        weight of a matching found

Copyright © 2016. All rights reserved.